from django.db import models

# Create your models here.

class ChannelSettings(models.Model):
	id = models.AutoField(
		primary_key = True,
	)
	channel = models.ForeignKey(
		"stats.Channel",
		on_delete = models.CASCADE,
		to_field = "channel_id",
		db_column = "channel",
	)
	interact = models.BooleanField(
		default = False,
		help_text = "Allow the robot to speak and interact with users."
	)
	
	class Meta:
		managed = False
		db_table = "channel_settings"
		#verbose_name_plural = "accounts"